com.creamtec.ajaxswing.rendering.html.positioned

## Class ComponentState

- java.lang.Object
- - com.creamtec.ajaxswing.rendering.html.positioned.ComponentState

-     public class ComponentState
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DELETE`
    `static int` | `INSERT`
    `static int` | `UNCHANGED`
    `static int` | `UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentState(java.lang.Object component, HTMLPage page)`
    `ComponentState(java.lang.Object component, HTMLPage page, java.lang.String namePostfix)`
    `ComponentState(java.lang.String componentId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAction()`
    `static java.lang.String` | `getActionDescription(int state)`
    `java.lang.String` | `getComponentId()`
    `java.lang.String` | `getHtml()`
    `java.lang.String` | `getJavaScript()`
    `java.lang.String` | `getParentId()`
    `void` | `setAction(int action)`
    `void` | `setComponentId(java.lang.String id)`
    `void` | `setHtml(java.lang.String html)`
    `void` | `setJavaScript(java.lang.String javaScript)`
    `void` | `setParentId(java.lang.String parentId)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNCHANGED

          public static final int UNCHANGED

      See Also:
        Constant Field Values

    - #### DELETE

          public static final int DELETE

      See Also:
        Constant Field Values

    - #### INSERT

          public static final int INSERT

      See Also:
        Constant Field Values

    - #### UPDATE

          public static final int UPDATE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ComponentState

          public ComponentState(java.lang.String componentId)

    - #### ComponentState

          public ComponentState(java.lang.Object component,
                        HTMLPage page)

    - #### ComponentState

          public ComponentState(java.lang.Object component,
                        HTMLPage page,
                        java.lang.String namePostfix)

  - ### Method Detail

    - #### getActionDescription

          public static java.lang.String getActionDescription(int state)

    - #### getComponentId

          public java.lang.String getComponentId()

    - #### setComponentId

          public void setComponentId(java.lang.String id)

    - #### getParentId

          public java.lang.String getParentId()

    - #### setParentId

          public void setParentId(java.lang.String parentId)

    - #### getAction

          public int getAction()

    - #### setAction

          public void setAction(int action)

    - #### getHtml

          public java.lang.String getHtml()

    - #### setHtml

          public void setHtml(java.lang.String html)

    - #### getJavaScript

          public java.lang.String getJavaScript()

    - #### setJavaScript

          public void setJavaScript(java.lang.String javaScript)

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.